package com.mcwl.myInvitation.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Objects;

// 提成表
@Data
@TableName("commissions")
public class Commission extends BaseEntity {

    @TableId
    private Long id;

    // 用户id
    private Long userId;

    // 消费id
    private Long consumeId;

    // 提成金额
    private Double amount;

    // 支付状态
    private Integer payStatus;

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;
        Commission that = (Commission) o;
        return Objects.equals(id, that.id) && Objects.equals(userId, that.userId) && Objects.equals(consumeId, that.consumeId) && Objects.equals(amount, that.amount) && Objects.equals(payStatus, that.payStatus);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, userId, consumeId, amount, payStatus);
    }
}
