package com.mcwl.myInvitation.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.Objects;

// 消费表
@Data
@TableName("consumes")
public class Consume extends BaseEntity {

    @TableId
    private Long id;

    // 用户id
    private Long userId;

    // 消费金额
    private Double amount;

    // 消费时间
    private Date consumeDate;

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;
        Consume consume = (Consume) o;
        return Objects.equals(id, consume.id) && Objects.equals(userId, consume.userId) && Objects.equals(amount, consume.amount) && Objects.equals(consumeDate, consume.consumeDate);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, userId, amount, consumeDate);
    }
}
