package com.mcwl.myInvitation.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Objects;

// 邀请表
@Data
@TableName("invitations")
public class Invitation extends BaseEntity {

    @TableId
    private Long id;

    // 邀请者
    private Long userId;

    // 被邀请者
    private Long userInviteId ;

    // 邀请码
    private String invitationCode;

    @Override
    public boolean equals(Object o) {
        if (o == null || getClass() != o.getClass()) return false;
        Invitation that = (Invitation) o;
        return Objects.equals(id, that.id) && Objects.equals(userId, that.userId) && Objects.equals(userInviteId, that.userInviteId) && Objects.equals(invitationCode, that.invitationCode);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, userId, userInviteId, invitationCode);
    }
}
